<?php
require_once('startinclude.php');
include "lib_form.php";
include "lecturadb_slow.php";
// aaaaaaaaaaaaa
/*
$camara=parametro('camara',-1);
$ventanan=parametro('ventanan',0);
$iuniquev=$_SERVER['REMOTE_ADDR']."_pf_".$ventanan;
if ($camara==-1) {
	$camara=@apc_fetch($iuniquev);
} else {
	
	apc_store($iuniquev,$camara);
}
if ($camara==0) {
	$anterior_num=apc_fetch('numero_de_camaras');
} else {
	$anterior_num=$camara-1;
}
if ($camara==apc_fetch('numero_de_camaras')) {
	$despues_num=0;
} else {
	$despues_num=$camara+1;
}
$anterior_c="<a href='wgrafico.php?camara=".$anterior_num."&ventanan=$ventanan'>&lt;&lt;&lt;</a>&nbsp;&nbsp;&nbsp;";
$despues_c="&nbsp;&nbsp;&nbsp;<a href='wgrafico.php?camara=".($despues_num)."&ventanan=$ventanan'>&gt;&gt;&gt;</a>";
*/

// aaaaaaaaaaaaaa
setcookie('estado_camara'.$camara,'grafico');

// comun para todos..
	$camaras_actual=array();
	$camaras=array();
	leer_camaras($camaras);
	leer_camaras_actual($camaras_actual);
	$totalcamaras=count($camaras);
// fin comun










$temp=array();





$proceso=parametro('proceso',@$proceso_actual);



if ($proceso) {
	leer_sensoresxproceso($temp,$proceso); 
} else {
	leer_sensoresxcamara($temp,$camara); 
}


//debug($temp);

$escala_minima=parametro('escala_minima',-55);
$escala_maxima=parametro('escala_maxima',55);
$svx=parametro('svx',0);
$rango=parametro('rango',"-"); // 24 horas = 1440 minutos * 60 =86400seg
$titulo=parametro('titulo',$camara);



$sv=array();

$arreglo_sensor=parametro('arreglo_sensor',str_repeat("1", (count($temp))));
$sv=str_split($arreglo_sensor);



?>
<?php
echo cabecera("Grafico",1);
?>


	<META HTTP-EQUIV='refresh' content='50'>
	<body>
		
	<?php
	
		$titulo="";
		$leyenda="Graficos Historicos";
		$descripcion="";
		$campos[0]="";
		$campos[1]="";
		$camposhidden="";
		$boton=array("Graficar","OK","");
		
		$resultado="";

		if ($proceso) {
			leer_proceso($arr,$proceso);
			$fecha_inicial=parametro('fecha_inicial',$arr[9]);
			$fecha_final=parametro('fecha_final',$arr[10]);	
			if ($rango!="-") {
				$fecha_final=$arr[10];
				if ($rango=="") {
					$fecha_inicial=$arr[9];
				} else {
					$fecha_inicial=cnvepochdatelargo($arr[25]-($rango/60));
				}
			}
			
			$campos[0].=campoformulario("fecha_inicial","Desde",30,$fecha_inicial,"spformRequired",0,"CALENCLOCK");
			$campos[1].=campoformulario("fecha_final","Hasta",30,$fecha_final,"spformRequired",0,"CALENCLOCK");			
		} else {
			$arr[9]="";
			$arr[10]="";
			$fecha_inicial=$arr[9];
			$fecha_final=$arr[10];
		}


		

		
		$campos[0].=campoformulario("escala_minima","Temp. minima",30,$escala_minima,"spformRequired");
		$campos[1].=campoformulario("escala_maxima","Temp. maxima",30,$escala_maxima,"spformRequired");
		
		$arreglo=array(3600,"Ultima Hora",7200,"Ultimas 2 Horas",14400,"Ultimas 4 Horas",28800,"Ultimas 8 Horas",57600,"Ultimas 16 Horas",86400,"Ultimo Dia",172800,"Ultimo 2 Dias","","Completo","-","--Usar fechas--");
		$campos[0].=campocombo("rango","Rango",30,$rango,$arreglo,"spformRequired");
		
		
		crear_combo_proceso($arr,$camaras[$camara]["id_camara"],@$proceso_actual);
		$campos[1].=campocombo("proceso","Proceso :",30,$proceso,$arr,"spformRequired",0,$camposhidden,"submit();");	
		
		$php2="";
		
		
		
		$extracampo="";
		
		
		
		
		
		
		
		
		
		
		$camposhidden.=campohidden("camara",$camara);
		$camposhidden.=campohidden("ventanan",@$ventanan);
		//$camposhidden.=campohidden("proceso",$proceso);
		$camposhidden.=campohidden("arreglo_sensor",$arreglo_sensor);
		
		if ($proceso) {
			//$titulo="Proceso N $proceso de camara ".$camaras[$camara]["nombre_camara"];
			$titulo="<h2 align='left'>$anterior_c Proceso N $proceso de ".$camaras[$camara]["nombre_camara"]."$despues_c</h2>\n";
		} else {
			//$titulo="$anterior_c Historico de camara ".$camaras[$camara]["nombre_camara"];
			$titulo="<h2 align='left'>$anterior_c Historico de ".$camaras[$camara]["nombre_camara"]."$despues_c</h2>\n";
		}
		
	
		
	$php="grafico3.php?camara=$camara&proceso=$proceso&escala_minima=$escala_minima&escala_maxima=$escala_maxima?rnd=".mt_rand();
	
	$rango=($rango=="-")?"":$rango;
	$php.="&rango=$rango&titulo=$titulo".$php2;
	
	$resultadohtm= "<p align='center'><img src='".$php."' width=100% border='0'></p>";
	$resultadohtm="";
	$resultado="";
	    //echo "<h2 align='left'>$anterior_c".$camaras[$camara]["nombre_camara"]."$despues_c</h2>\n";
		echo "<TABLE cellSpacing=0 cellPadding=0 width=98% >";
		echo  "<tr><td><table width=850 height=0 border=0></table></td></tr>\n";
		echo "<tr align=center><td >";
		echo mostrarformulario($titulo,$leyenda,$descripcion,$campos,$camposhidden,$boton,1,$resultado,$resultadohtm,$extracampo);
		echo "<p align='center'><table width=850><tr><td style='font-family: \"Trebuchet MS\"; font-weight: bold;'>Grafico</td></tr>\n";
		echo "<tr><td>\n";

		$_GET['proceso'] = $proceso;
		
		include("grafico3.php");
		echo "	</td></tr></table></p>\n";	
		echo "</td></tr></table>";

	?>

<script type="text/javascript">
//alert(window.parent.parent.location);
var camara=<?php echo $ventanan; ?>;
//window.parent.parent.win[0].setWidth(2000,1000);
var estado=window.parent.parent.win[camara].getState();
window.parent.parent.win[camara].maximize();

</script>	
	
	
	</body>